org.apache.commons.imaging.common.bytesource

## Class ByteSourceInputStream

- java.lang.Object
- - org.apache.commons.imaging.common.bytesource.ByteSource
  - - org.apache.commons.imaging.common.bytesource.ByteSourceInputStream

-     public class ByteSourceInputStream
      extends ByteSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteSourceInputStream(InputStream is, String fileName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAll()`
    `byte[]` | `getBlock(long blockStart, int blockLength)`
    `String` | `getDescription()`
    `InputStream` | `getInputStream()`
    `long` | `getLength()` This operation can be VERY expensive; for inputstream byte sources, the entire stream must be drained to determine its length.

    - ### Methods inherited from class org.apache.commons.imaging.common.bytesource.ByteSource

      `getBlock, getFileName, getInputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteSourceInputStream

          public ByteSourceInputStream(InputStream is,
                                       String fileName)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in class `ByteSource`
      Throws:
        `IOException`

    - #### getBlock

          public byte[] getBlock(long blockStart,
                                 int blockLength)
                          throws IOException

      Specified by:
        `getBlock` in class `ByteSource`
      Throws:
        `IOException`

    - #### getLength

          public long getLength()
                         throws IOException

      Description copied from class: `ByteSource`
      This operation can be VERY expensive; for inputstream byte sources, the entire stream must be drained to determine its length.
      Specified by:
        `getLength` in class `ByteSource`
      Returns:
        the byte source length
      Throws:
        `IOException` - if it fails to read the byte source data

    - #### getAll

          public byte[] getAll()
                        throws IOException

      Specified by:
        `getAll` in class `ByteSource`
      Throws:
        `IOException`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in class `ByteSource`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.